#include "handlers.h"
#include <util/thread/pool.h>

IThreadPool* TRTYSearchHandlers::CreateHandler(size_t threadCount, size_t queueSize, TRTYPools::TLoadtype lt, const TString& threadName) {
    if (threadCount == 0) {
        return TSearchHandlers::CreateHandler(threadCount, queueSize, false, threadName);
    }

    return Singleton<TRTYPools>()->CreateThreadPool(lt, nullptr, threadCount, queueSize, threadName);
}
